Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface StreamMBean

public interface StreamMBean
extends StageMBean

This MBean will manage instances of Streams whose configuration has been derived from `com.bea.wlevs.configuration.application.DefaultStreamConfig` schema. All the attributes and operations of this MBean wraps around this schema type.

An example of using this MBean is given below

       ObjectName streamMBeanName = ObjectName.
                    getInstance("com.bea.wlevs:Name=mystream,Type=Stream,Application=myapplication");
             //get the stream mbean
            StreamMBean streamMBean = (StreamMBean)
                   MBeanServerInvocationHandler.newProxyInstance(
                                    mbsc,
                                    ObjectName.getInstance(streamMBeanName),
                                    StreamMBean.class,
                                    true);

        //get the size of the Stream
        int size =  streamMBean.getSize();

        //other operations
           ...
           ...

Field Summary
`static java.lang.String` | `MBEAN_TYPE`

Method Summary
`int` | `getMaxSize()` This method reads the size of the `Stream`
`int` | `getMaxThreads()` This method reads the maximum number of Threads associated with the Stream's WorkManager
`void` | `setMaxSize(int size)` This method sets the size of the `Stream`
`void` | `setMaxThreads(int size)` This method sets the maximum number of Threads associated with the Stream's WorkManager

Methods inherited from interface com.bea.wlevs.management.configuration.StageMBean
`configurePlayback, configurePlaybackWithDuration, configureRecord, configureRecordWithDuration, getPlaybackConfiguration, getRecordConfiguration, isPlayingBack, isRecording, startPlayback, startRecording, stopPlayback, stopRecording`

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

Method Detail

### getMaxSize

    public int getMaxSize()
                   throws javax.management.JMException

  This method reads the size of the `Stream`

  Returns:
    int - size of the stream
  Throws:
    javax.management.JMException -

### setMaxSize

    public void setMaxSize(int size)
                    throws javax.management.JMException

  This method sets the size of the `Stream`

  Parameters:
    `size` - - size of the Stream to set
  Throws:
    javax.management.JMException -

### getMaxThreads

    public int getMaxThreads()
                      throws javax.management.JMException

  This method reads the maximum number of Threads associated with the Stream's WorkManager

  Returns:
    int - Number of threads WorkManager can spawn
  Throws:
    javax.management.JMException -

### setMaxThreads

    public void setMaxThreads(int size)
                       throws javax.management.JMException

  This method sets the maximum number of Threads associated with the Stream's WorkManager

  Parameters:
    `size` - - Number of maximum threads that is associated with the WorkManager
  Throws:
    javax.management.JMException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.